#include <os2.h>
#include "menuapp.h"

ICON ID_APP_FRAMEWND MENUAPP.ICO

MENU ID_APP_FRAMEWND
BEGIN
	SUBMENU "~File",          IDM_FILE
	BEGIN
		MENUITEM "~New...",     IDM_FILE_NEW
		MENUITEM "~Open...",    IDM_FILE_OPEN
		MENUITEM SEPARATOR
		MENUITEM "~Save...",    IDM_FILE_SAVE
		MENUITEM "Save ~as...", IDM_FILE_SAVEAS
		MENUITEM SEPARATOR
		MENUITEM "~Exit",       IDM_FILE_EXIT
	END

	SUBMENU "~Edit",          IDM_EDIT
	BEGIN
		MENUITEM "~Undo",       IDM_EDIT_UNDO
		MENUITEM "~Redo",       IDM_EDIT_REDO
		MENUITEM SEPARATOR
		MENUITEM "Cu~t",        IDM_EDIT_CUT
		MENUITEM "~Copy",       IDM_EDIT_COPY
		MENUITEM "~Paste",      IDM_EDIT_PASTE
		MENUITEM "Cl~ear",      IDM_EDIT_CLEAR
		MENUITEM "~Duplicate",  IDM_EDIT_DUPLICATE
		MENUITEM SEPARATOR
		MENUITEM "~Select all", IDM_EDIT_SELECTALL
	END

	SUBMENU "~Options", IDM_OPTIONS
	BEGIN
		MENUITEM "Font",       -1, MIS_STATIC, MIA_FRAMED
		MENUITEM "~Normal",      IDM_OPTIONS_FONT_NORMAL
		MENUITEM "~Bold",        IDM_OPTIONS_FONT_BOLD
		MENUITEM "~Italic",      IDM_OPTIONS_FONT_ITALIC
		MENUITEM "~Underline",   IDM_OPTIONS_FONT_UNDERLINE
		MENUITEM "Alighnment", -1,
          MIS_BREAKSEPARATOR | MIS_STATIC, MIA_FRAMED
		MENUITEM "~Left",        IDM_OPTIONS_PARA_LEFT
		MENUITEM "~Center",      IDM_OPTIONS_PARA_CENTER
		MENUITEM "~Right",       IDM_OPTIONS_PARA_RIGHT
		MENUITEM "~Justify",     IDM_OPTIONS_PARA_JUSTIFY
	END

	SUBMENU "~Help", IDM_HELP
	BEGIN
		MENUITEM "Help ~index...",          IDM_HELP_INDEX
		MENUITEM "~General help...",        IDM_HELP_GENERAL
		MENUITEM "~Using help...",          IDM_HELP_USING
		MENUITEM "~Keys help...",           IDM_HELP_KEYS
		MENUITEM SEPARATOR
		MENUITEM "~Product information...", IDM_HELP_ABOUT
	END

END

MENU POPUP_MENU
BEGIN
  MENUITEM "~New...",     IDM_FILE_NEW
	MENUITEM "~Open...",    IDM_FILE_OPEN
	MENUITEM SEPARATOR
	MENUITEM "~Save...",    IDM_FILE_SAVE
	MENUITEM "Save ~as...", IDM_FILE_SAVEAS
	MENUITEM SEPARATOR
	MENUITEM "~Exit",       IDM_FILE_EXIT
END




